For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
LogoLogo
Legacy DocsSign in
API Reference

Authentication

GET
/v3/transactions/:id
1curl -X "GET" \
2 "https://api.ntropy.com/v3/transactions/xbx8YP14g565Xk" \
3 -H "Accept: application/json" \
4 -H "X-API-KEY: cd1H...Wmhl"
Try it
Was this page helpful?
Previous

Errors

Next
Built with

The Ntropy API uses API keys for authentication. API keys are essential for authenticating requests and ensuring they originate from a trusted source. You can view and manage your API keys in the dashboard or contact us.

To use it include it in the X-API-KEY header of your HTTP requests. This key should be kept secure and not shared in publicly accessible areas. If by any reason your API key is compromised, you can rotate it.